org.apache.sling.hc.api.execution

## Interface HealthCheckExecutionResult

Deprecated.

    @Deprecated
     @ProviderType
    public interface HealthCheckExecutionResult

Interface for health check executions via the `HealthCheckExecutor`. If the execution of the health check timed out, the method

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`long` `getElapsedTimeInMs()` Deprecated. Get the elapsed time in ms
`Date` `getFinishedAt()` Deprecated. Get the date, the health check finished or if the execution timed out, the execution was aborted.
`HealthCheckMetadata` `getHealthCheckMetadata()` Deprecated. Get the meta data about the health check service
`Result` `getHealthCheckResult()` Deprecated. Get the result of the health check run.
`boolean` `hasTimedOut()` Deprecated. Returns true if the execution has timed out.

### Method Detail

#### getHealthCheckResult

    Result getHealthCheckResult()

Deprecated.
Get the result of the health check run.

#### getElapsedTimeInMs

    long getElapsedTimeInMs()

Deprecated.
Get the elapsed time in ms

#### getFinishedAt

    Date getFinishedAt()

Deprecated.
Get the date, the health check finished or if the execution timed out, the execution was aborted.

Returns:
  The finished date of the execution.

#### hasTimedOut

    boolean hasTimedOut()

Deprecated.
Returns true if the execution has timed out. In this case the result does not reflect the real result of the underlying check, but a result indicating the timeout.

Returns:
  `true` if execution timed out.

#### getHealthCheckMetadata

    HealthCheckMetadata getHealthCheckMetadata()

Deprecated.
Get the meta data about the health check service